### Enumeration

# Meta MultiTextureFormat

#### Declaration

    enum Meta.MultiTextureFormat

#### Description [src]

A representation for complex pixel formats

Some pixel formats that are used in the wild are a bit more complex than just ARGB and all its variants. For example: a component might be put in a different plane (i.e. at a different place in memory). Another example are formats that use Y, U, and V components rather than RGB; if we composite them onto an RGBA framebuffer, we have to make sure for example that these get converted to the right color format first (using e.g. a shader).

#### Members

`META_MULTI_TEXTURE_FORMAT_INVALID`

  Invalid value.

  - Value: `0`
  - Available since: 14
`META_MULTI_TEXTURE_FORMAT_SIMPLE`

  Any format supported by Cogl (see `CoglPixelFormat`).

  - Value: `1`
  - Available since: 14
`META_MULTI_TEXTURE_FORMAT_YUYV`

  YUYV, 32 bits, 16 bpc (Y), 8 bpc (U & V).

  - Value: `2`
  - Available since: 14
`META_MULTI_TEXTURE_FORMAT_NV12`

  2 planes: 1 Y-plane, 1 UV-plane (2x2 subsampled).

  - Value: `3`
  - Available since: 14
`META_MULTI_TEXTURE_FORMAT_P010`

  No description available.

  - Value: `4`
  - Available since: 14
`META_MULTI_TEXTURE_FORMAT_YUV420`

  3 planes: 1 Y-plane, 1 U-plane (2x2 subsampled), 1 V-plane (2x2 subsampled).

  - Value: `5`
  - Available since: 14